#ifndef MAINFRAME_H_
#define MAINFRAME_H_

#if 0
class CMainFrame
{
public:
	CMainFrame(const char *prog_name);
	~CMainFrame();

public:
	bool InitInstance(int argc, char *argv[]);
protected:
	bool WorkInit();
	void Working();

	void Usage(const char *prog_name);
	bool Shutdown();
	bool Startup();
	bool SetupSignal();
	bool UnsetupSignal();
	bool CatchSignal();
	void Daemon();
	bool CheckConflict(const char *prog_name);
};
#endif

#endif /*MAINFRAME_H_*/
